//BUSQUEDA DE TABCATUSU
var formaTABCATUSU = null;
var panelTABCATUSU = null;
var intMode = 100;
var idTienda = null, idProveedor=null;
var GridStoreTABCATUSU = null;
var email = "";

function TABCATUSU_Constructor(){
	idTab = 'TABCATUSU';
	
	var txtBoton = "";
		
	panelTABCATUSU = new Ext.Panel({
						width:'100%',
						height: '80%',
						autoScroll:false,
						disabled: false
	});
	
	formaTABCATUSU = new Ext.FormPanel({
		labelAlign: 'top',
        labelWidth: 75,
        frame:true,
		bodyStyle:'padding:5px 5px 0',
        width: '100%',
		autoHeight: true,
        items: [
				panelTABCATUSU
			   ]
    });
	
	$("#divCatUsuarios").empty();
	formaTABCATUSU.render("divCatUsuarios");

	panelTABCATUSU.load({
		url: "vistas/tabCatUsuarios.php",
		params: {intMode:0, campo:'', order:''}, // or a URL encoded string
		callback: function(data){   
						
			$("#btnInsertar" + idTab).click(function() {
				AddEditTABCATUSU(1);
			});
			
			getDataTABCATUSU();
						
		},
		discardUrl: false,
		nocache: false,
		text: 'Loading...',
		timeout: 30,
		scripts: false
	});
}

/*function cargarTipoUsuarios(selObj){
	var strUrl1 = "data/comboboxes.php?method=tiposusuarios&intEmpresa="+ objUsuario.empresa +"&rnd="+ Math.random();
	
	$.get(strUrl1, function(dataNew){
		var data = $.parseJSON(dataNew);
		var arrProductosCategorias = data.Items;
		
		selObj.empty();
		for (var i=0; i<arrProductosCategorias.length; i++) {
		  selObj.append('<option value="' + arrProductosCategorias[i].id + '">' + arrProductosCategorias[i].label + '</option>');
		}
		
	});
}*/

function getDataTABCATUSU(){
	console.log("getDataTABCATUSU");

	if(objUsuario.empresa!=null){
		
		$( "#divUsuariosGrid" ).html("<div style='width:200px; margin-top:25px; margin-left:auto; margin-right:auto;'><img src='css/images/loading.gif'/></div>");
		
		var strUrlUsu = "data/catUsuarios.php?intEmpresa="+ objUsuario.empresa +"&rnd="+ Math.random();
		
		$.get(strUrlUsu, function(dataNew){
			if(	dataNew.toLowerCase().indexOf("error") < 0 ){		
				if(	dataNew.length > 20 ){							 
						  
					var data = $.parseJSON(dataNew);
					var arrItems = data.Items;
		
					GridStoreTABCATUSU = new Ext.data.JsonStore({
					  root: 'users',
					  fields: [ 'intUsuario', 'strNombres', 'strApellidos', 'strLogin', 'strPassword', 'strTelefono', 'intTipo', 'strTipo' ],
					  data: { users: arrItems}
					});   
				
					$( "#divUsuariosGrid" ).html("");
		
					var grid = new Ext.grid.GridPanel({
					renderTo: document.getElementById("divUsuariosGrid"),
					frame: true,
					title: 'Usuarios',
					width:'100%',
					autoHeight: true,
					maxHeight: 500,
					store: GridStoreTABCATUSU,
					  columns: [
						  {header: "Id", width: 60, dataIndex: 'intUsuario', sortable: true},
						  {header: "Nombre", width: 250, dataIndex: 'strNombres', sortable: true, 
							renderer: function (value, metaDat, record) {
								var newValue = "<a href='javascript: AddEditTABCATUSU(2,"+ record.data["intUsuario"] +");' style='color:#C60;'>"+ value  +" "+ record.data["strApellidos"] +"</a>";
								return newValue;
							} 
						  },
						  {header: "Usuario", width: 200, dataIndex: 'strLogin', sortable: true},
  						  {header: "Tipo", width: 170, dataIndex: 'strTipo', sortable: true},
						  {header: "Telefono", dataIndex: 'strTelefono', sortable: true}
					  ]
					});
				}else{
					$( "#divUsuariosGrid" ).html("<p align='center' style='margin-top:100px;'>No hay registros para esta consulta</p>");
				}
			}else{
				$( "#divUsuariosGrid" ).html("<p align='center' style='margin-top:100px;'>Existe un error: "+ dataNew +"</p>");
			}
		});
		
	}else{
		alert("Todos los campos son requeridos");
	}
}

function limpiarTextboxesTABCATUSU(){

	$( "#dialog-usuario" ).find( "#txtIntUsuario" ).val('');
	$( "#dialog-usuario" ).find( "#txtNombresUsuario" ).val('');
	$( "#dialog-usuario" ).find( "#txtApellidosUsuario" ).val('');
	$( "#dialog-usuario" ).find( "#txtLoginUsuario" ).val('');
	$( "#dialog-usuario" ).find( "#txtPasswordUsuario" ).val('');
	$( "#dialog-usuario" ).find( "#txtTelefonoUsuario" ).val('');
	$( "#dialog-usuario" ).find( "#selectTipoUsuario" ).val('');

}

function AddEditTABCATUSU(intCase, id){
	console.log("AddEditTABCATUSU", intCase, id);

	$( "#divLoading" ).css({ "visibility":"visible", "display":"inherit" });
	var strUrl1 = "vistas/dialog-usuario.php?rnd="+ Math.random();
	
	$.get(strUrl1, function(data){
		
		$("#divCatUsuarios").html(data);					
		
		//cargarTipoUsuarios($( "#dialog-usuario" ).find("#selectTipoUsuario"));
		
		$( "#dialog-usuario" ).find( "#selectEstado" ).change(function() {
			llenarCombo("ciudades", $( "#dialog-usuario" ).find( "#selectMunicipio" ), $( "#dialog-usuario" ).find( "#selectEstado" ).val(), 'MEX', '');														   
		});
		
		$( "#dialog-usuario" ).find( "#selectEstado2" ).change(function() {
			llenarCombo("ciudades", $( "#dialog-usuario" ).find( "#selectMunicipio2" ), $( "#dialog-usuario" ).find( "#selectEstado2" ).val(), 'MEX', '');														   
		});
		
		llenarCombo("paises", $( "#dialog-usuario" ).find( "#selectPais" ), '', '', '');
		llenarCombo("estados", $( "#dialog-usuario" ).find( "#selectEstado" ), 'MEX', '', '');
		llenarCombo("ciudades", $( "#dialog-usuario" ).find( "#selectMunicipio" ), 'Distrito Federal', 'MEX', '');
		
		llenarCombo("paises", $( "#dialog-usuario" ).find( "#selectPais2" ), '', '', '');
		llenarCombo("estados", $( "#dialog-usuario" ).find( "#selectEstado2" ), 'MEX', '', '');
		llenarCombo("ciudades", $( "#dialog-usuario" ).find( "#selectMunicipio2" ), 'Distrito Federal', 'MEX', '');

		setTimeout(function(){ cargarDataDialogTABCATUSU(intCase, id); }, 1000);
	
	});

}

function muestraDatDoc(valor) {
  if (valor==1){
	//var divC = document.getElementById("nombreConsul");
	//divC.style.display = "inherit";

    $( "#dialog-usuario" ).find( "#divConsultorio" ).css("display","block")
  }else{

	//var divC = document.getElementById("nombreConsul");
	//divC.style.display="none";
	$( "#dialog-usuario" ).find( "#divConsultorio" ).css("display","none")
  }
}

function cargarDataDialogTABCATUSU(intCase, id){
	
	$( "#btnGuardar" + idTab).unbind( "click" );
	$( "#btnCancelar" + idTab).unbind( "click" );
	$( "#btnEliminar" + idTab).unbind( "click" );

	if(intCase===1){
		
		limpiarTextboxesTABCATUSU();

		$( "#btnGuardar" + idTab ).click(function() {
			abcTABCATUSU(1);
		});
		
		$( "#btnCancelar" + idTab ).click(function() {
			TABCATUSU_Constructor();
		});
		
		$( "#btnEliminar" + idTab ).css({ visibility:"hidden" });
				
	}else{
		
		var record = null;

		GridStoreTABCATUSU.each(function(rd){  // REGRESA EL NOMBRE DE USUARIO
			if( parseInt(id) == parseInt(rd.data["intUsuario"]) ){
				record = rd;
			}
		});
		
		if(record != null){
			$( "#dialog-usuario" ).find( "#txtIntUsuario" ).val(record.data["intUsuario"]);
			$( "#dialog-usuario" ).find( "#txtNombresUsuario" ).val(record.data["strNombres"]);
			$( "#dialog-usuario" ).find( "#txtApellidosUsuario" ).val(record.data["strApellidos"]);
			$( "#dialog-usuario" ).find( "#txtLoginUsuario" ).val(record.data["strLogin"]);
			$( "#dialog-usuario" ).find( "#txtPasswordUsuario" ).val(record.data["strPassword"]);
			$( "#dialog-usuario" ).find( "#txtTelefonoUsuario" ).val(record.data["strTelefono"]);
			$( "#dialog-usuario" ).find( "#selectTipoUsuario" ).val(record.data["intTipo"]);
			
			muestraDatDoc( record.data["intTipo"] );
			
			$( "#btnGuardar"  + idTab).click(function() {
				abcTABCATUSU(2);
			});
			
			$( "#btnCancelar" + idTab ).click(function() {
				TABCATUSU_Constructor();
			});
			
			$( "#btnEliminar" + idTab).css({ visibility:"visible" });
			$( "#btnEliminar" + idTab).click(function() {
				abcTABCATUSU(3);
			});
				
		}
	}
	$( "#divLoading" ).css({ "visibility":"hidden", "display":"none" });
}

/*function validarEmail( email ) {
    expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if ( !expr.test(email) )
        alert("Error: La dirección de correo " + email + " es incorrecta.");
}*/

function abcTABCATUSU(intCase){
	var email = $( "#dialog-usuario" ).find( "#txtLoginUsuario" ).val();
	//isValidEmailAddress(email);
	console.log(email);
	if(isValidEmailAddress(email) === false){
		alert("El Email es Incorrecto.");
	}else{
			
		if( $( "#dialog-usuario" ).find( "#txtNombresUsuario" ).val() != "" && $( "#dialog-usuario" ).find( "#txtApellidosUsuario" ).val() != "" && $( "#dialog-usuario" ).find( "#txtLoginUsuario" ).val() != ""
				&& $( "#dialog-usuario" ).find( "#txtPasswordUsuario" ).val() != "" && $( "#dialog-usuario" ).find( "#txtTelefonoUsuario" ).val() != ""
				&& $( "#dialog-usuario" ).find( "#selectTipoUsuario" ).val() != ""){
				
				var sQuery = "data/catUsuarios.php?intMode="+ intCase 
				+"&intUsuario="+ $( "#dialog-usuario" ).find( "#txtIntUsuario" ).val() 
				+"&txtNombresUsuario="+ $( "#dialog-usuario" ).find( "#txtNombresUsuario" ).val() 
				+"&txtApellidosUsuario="+ $( "#dialog-usuario" ).find( "#txtApellidosUsuario" ).val() 
				+"&txtLoginUsuario="+ $( "#dialog-usuario" ).find( "#txtLoginUsuario" ).val() 
				+"&txtPasswordUsuario="+ $( "#dialog-usuario" ).find( "#txtPasswordUsuario" ).val() 
				+"&txtTelefonoUsuario="+ $( "#dialog-usuario" ).find( "#txtTelefonoUsuario" ).val() 
				+"&selectTipoUsuario="+ $( "#dialog-usuario" ).find( "#selectTipoUsuario" ).val() 
				+"&intEmpresa="+ objUsuario.empresa +"&rnd="+ Math.random();
		
				console.log(sQuery);
				$.post(sQuery, function(dataNew){
					
					TABCATUSU_Constructor();
		
				});
				
		}else{
			alert("Todos los campos son requeridos.");
		}
	}
}

